import { Children, cloneElement, forwardRef } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
var TooltipExtendChildren = /*#__PURE__*/forwardRef(function (_ref, targetRef) {
  var classNameTarget = _ref.className,
      children = _ref.children;

  var onClickHandler = function onClickHandler(handler) {
    return function () {
      typeof handler === 'function' && handler.apply(void 0, arguments);
    };
  };

  var childrenOnly = typeof children === 'string' ? [/*#__PURE__*/_jsx("span", {
    children: children
  }, 1)] : Children.only(children);
  var response = Children.map(childrenOnly, function (child, key) {
    var _child$props = child.props,
        onClick = _child$props.onClick,
        className = _child$props.className;
    var attrs = {
      onClick: onClickHandler(onClick),
      className: cx(classNameTarget, className)
    };

    attrs.ref = function (node) {
      ;
      [child.ref, targetRef].forEach(function (ref) {
        if (typeof ref === 'function') {
          ref(node);
        } else if (ref !== null) {
          ref.current = node;
        }
      });
    };

    attrs.key = key;
    return /*#__PURE__*/cloneElement(child, attrs);
  });
  return response;
});
export default TooltipExtendChildren;